> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Groups

> Retrieve a list of all customer groups with pagination support.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /customer-groups
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
paths:
  /customer-groups:
    get:
      tags:
        - Customers
      summary: List Customer Groups
      description: Retrieve a list of all customer groups with pagination support.
      parameters:
        - name: page
          in: query
          description: Page number for pagination (starts at 1)
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: limit
          in: query
          description: Number of customer groups to return per page
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
      responses:
        '200':
          description: Customer groups retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerGroupsResponse'
components:
  schemas:
    CustomerGroupsResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/CustomerGroup'
        total:
          type: integer
        time:
          type: integer
        timestamp:
          type: string
        sorts:
          type: array
          items:
            type: string
        unix:
          type: integer
    CustomerGroup:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        discount_type:
          type: string
          nullable: true
        discount_value:
          type: number
        system_type:
          type: string
        total_amount:
          type: number
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````